Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.PortableInterceptor
Interface RequestInfoOperations

All Known Subinterfaces:
  ClientRequest, ClientRequestInfo, ClientRequestInfoOperations, RequestInfo, ServerRequest, ServerRequestInfo, ServerRequestInfoOperations

public interface RequestInfoOperations

Interface definition : RequestInfo

Author:
  OpenORB Compiler

Method Summary
`Parameter[]` | `arguments()` Read accessor for arguments attribute
`java.lang.String[]` | `contexts()` Read accessor for contexts attribute
`TypeCode[]` | `exceptions()` Read accessor for exceptions attribute
`Object` | `forward_reference()` Read accessor for forward_reference attribute
`ServiceContext` | `get_reply_service_context(int id)` Operation get_reply_service_context
`ServiceContext` | `get_request_service_context(int id)` Operation get_request_service_context
`Any` | `get_slot(int id)` Operation get_slot
`java.lang.String[]` | `operation_context()` Read accessor for operation_context attribute
`java.lang.String` | `operation()` Read accessor for operation attribute
`short` | `reply_status()` Read accessor for reply_status attribute
`int` | `request_id()` Read accessor for request_id attribute
`boolean` | `response_expected()` Read accessor for response_expected attribute
`Any` | `result()` Read accessor for result attribute
`short` | `sync_scope()` Read accessor for sync_scope attribute

Method Detail

### request_id

    public int request_id()

  Read accessor for request_id attribute
  Returns:
    the attribute value

### operation

    public java.lang.String operation()

  Read accessor for operation attribute
  Returns:
    the attribute value

### arguments

    public Parameter[] arguments()

  Read accessor for arguments attribute
  Returns:
    the attribute value

### exceptions

    public TypeCode[] exceptions()

  Read accessor for exceptions attribute
  Returns:
    the attribute value

### contexts

    public java.lang.String[] contexts()

  Read accessor for contexts attribute
  Returns:
    the attribute value

### operation_context

    public java.lang.String[] operation_context()

  Read accessor for operation_context attribute
  Returns:
    the attribute value

### result

    public Any result()

  Read accessor for result attribute
  Returns:
    the attribute value

### response_expected

    public boolean response_expected()

  Read accessor for response_expected attribute
  Returns:
    the attribute value

### sync_scope

    public short sync_scope()

  Read accessor for sync_scope attribute
  Returns:
    the attribute value

### reply_status

    public short reply_status()

  Read accessor for reply_status attribute
  Returns:
    the attribute value

### forward_reference

    public Object forward_reference()

  Read accessor for forward_reference attribute
  Returns:
    the attribute value

### get_slot

    public Any get_slot(int id)
                 throws InvalidSlot

  Operation get_slot

### get_request_service_context

    public ServiceContext get_request_service_context(int id)

  Operation get_request_service_context

### get_reply_service_context

    public ServiceContext get_reply_service_context(int id)

  Operation get_reply_service_context

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD